%global momorel 3
%global xfce4ver 4.4.2

Name:           gsynaptics-mcs-plugin
BuildRequires:  gsynaptics
Summary:        MCS plugin for Xfce that starts gsynaptics
Version:        1.0.0
Release:        %{momorel}m%{?dist}
License:        GPL
URL:            http://goodies.xfce.org/projects/mcs-plugins/gsynaptics-mcs-plugin
Source0:        http://goodies.xfce.org/releases/2%{name}/%{name}-%{version}.tar.bz2
Group:          Applications/System
BuildRequires:  libxfcegui4-devel >= %{xfce4ver}
BuildRequires:  xfce-mcs-manager-devel >= %{xfce4ver}
Requires:       libxfcegui4 >= %{xfce4ver}
Requires:       xfce-mcs-manager >= %{xfce4ver}
Requires:       gsynaptics
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
gsynaptics-mcs-plugin is a simple MCS plugin for Xfce that starts gsynaptics
when invoked and launches gsynaptics-init once loaded by the MCS
manager.

Authors:
--------
    Jean-François Wauthy <pollux@xfce.org> 

%prep
%setup -q

%build
libtoolize --copy --force; aclocal; autoconf

%configure --disable-static
make

%install
make DESTDIR=%{buildroot} install
%find_lang %{name}
rm %{buildroot}%{_libdir}/xfce4/*plugins/*.*a

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
if [ "$1" = 0 ]; then
    /sbin/ldconfig
fi

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%{_libdir}/xfce4/mcs-plugins/*.so*
%dir %{_datadir}/icons/hicolor/*/apps/*

%changelog
* Sat Apr  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-3m)
- fix %%clean

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-2m)
- rebuild against gcc43

* Wed Dec  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-1m)
- import to Momonga from opensuse

* Tue Dec  4 2007 prusnak@suse.cz
- use %%find_lang macro
* Sat Jun 23 2007 bwalle@suse.de
- replaced group 'System/GUI/Other' by 'System/GUI/Xfce'
* Thu Mar 15 2007 bwalle@suse.de
- initial spec
